declare class JSONEntity {
    annotations: Record<string, boolean | string | number | undefined>;
    [x: string]: any;
    constructor(args: Partial<JSONEntity>);
    addFields(fields: any): void;
    addField(field: any): void;
    addRelationships(relationships: any): void;
    addRelationship(relationship: any): void;
    addAigcs(aigcs: any): void;
    addAigc(aigc: any): void;
    setOptions(options?: {}): void;
    setAnnotations(annotations?: {}): void;
}
export default JSONEntity;
